Page MenuHomePhabricator

Special:RevisionDelete should have clearer logs for individual revisions
Closed, ResolvedPublic

Description

After deleting several revisions of a page, if you click "show/hide" for a specific revision, it can be incredibly difficult to determine which log entry applies to the selected revision.

Preferably the interface would make it clearer why the specific revision was hidden. Perhaps by aggregating the log entries specific to that revision and showing them in a separate area rather than merged with all the deletion log entries for the page.

Example: http://test.wikipedia.org/w/index.php?title=Special:RevisionDelete&target=Revision_deletion&oldid=63902

The log shows four entries and it makes it difficult to know why that specific revision was hidden.


Version: unspecified
Severity: enhancement

Details

Reference
bz15814

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:21 PM
bzimport set Reference to bz15814.
MZMcBride created this task.Oct 3 2008, 8:33 AM

Needs a schema change, will commit later

Bumping bug (not supposed to do that, yeah, yeah), but it's two months yesterday since the previous comment was made.

aaron added a comment.Mar 22 2009, 6:03 AM

*** Bug 18049 has been marked as a duplicate of this bug. ***

FT2.wiki wrote:

Copied from Bug 18049 (dup):

RevisionDelete logging should be made clearer before being opened to admins

EXAMPLE 1:

A sample entry in the suppression log, for a hidden item, looks like this:

TIMESTAMP OVERSIGHTER (talk | contribs | block) changed revision visibility of
ARTICLENAME ‎(hid content (applied restrictions to administrators) for 1
revision: remove personal attack) (Change visibility)

TIMESTAMP OVERSIGHTER (talk | contribs | block) changed revision visibility of
ARTICLENAME ‎(hid content, edit summary, username (applied restrictions to
administrators) for 1 revision: Didn't happen) (Change visibility)

But if the item hidden is a log entry, it looks like this, which is extremely
obscure for other patrollers and reviewers:

TIMESTAMP OVERSIGHTER (talk | contribs | block) changed event visibility of
(Move log) ‎ (hid content, edit summary (applied restrictions to
administrators) for 1 event: removal of personal information) (Change
visibility)

TIMESTAMP OVERSIGHTER (talk | contribs | block) changed event visibility of
(Deletion log) ‎ (hid content, edit summary, username (applied restrictions
to administrators) for 1 event: Unecessary log entry) (Change visibility)

EXAMPLE 2:

Likewise in the delete log, changes made through RevisionDeleted are not
clearly detailed (compared to entries from ordinary deletion), which obscures
its use and hinders review:

01:51, February 18, 2009 FT2 (talk | contribs | block) deleted "Hindustan
Hamara Citizens' Initiative" ‎ (CSD A7: Article on a person, group, or web
content, doesn't indicate the importance or significance of its subject)
(restore)
23:25, February 17, 2009 FT2 (talk | contribs | block) restored "User:FT2/test"
‎ (3 revisions restored)

But:

19:19, February 10, 2009 FT2 (talk | contribs | block) changed event visibility
of (Move log) ‎ (hid edit summary for 1 event: also remove edit comment)
(Change visibility)

The log entries when RevisionDeleted is used, must be made a lot clearer, if
RevDeleted is going to be successfully rolled out. Suggested format something
like this:

TIMESTAMP USERNAME (talk | contribs | block) changed visibility of a log entry
(move of SOURCEPAGENAME to DESTINATIONPAGENAME - username hidden, edit summary
hidden for <N> revisions) "Defamatory comments in log" ‎(Change)

aaron added a comment.Mar 25 2009, 6:25 PM

Log filtered to the relevant rev(s) in r48839